\addbibresource{meta/bibliography.bib} % bibliography file

% page layout, see: http://wwwcdf.pd.infn.it/AppuntiLinux/a2547.htm
\setlength{\parindent}{14pt} % larghezza rientro della prima riga
\setlength{\parskip}{0pt} % distanza tra i paragrafi

% caption
\captionsetup{
    tableposition=top,
    figureposition=bottom,
    font=small,
    format=hang,
    labelfont=bf
}

% hyperref
\hypersetup{
    % hyperfootnotes=false,
    % pdfpagelabels,
    % draft = true, % removes all links (print BW)
    linktocpage = true,
    pdfstartpage = 1,
    pdfstartview = FitV,
    % de-comment following line when print BW
    % colorlinks=false, linktocpage=false, pdfborder={0 0 0}, pdfstartpage=1, pdfstartview=FitV,
    colorlinks = true,  % Colours links instead of ugly boxes
    urlcolor = blue,  % Colour for external hyperlinks
    linkcolor = [rgb]{0,0.501960784,0.501960784},  % Colour of internal links
    citecolor = red  % Colour of citations
}

%start section counter at -1
\setcounter{chapter}{-1}

% ceilings
\DeclarePairedDelimiter{\ceil}{\lceil}{\rceil}

% removes title of chapter on top of pages
\renewcommand{\chaptermark}[1]{\markboth{}{#1}}

% listings
\lstset{
    language=[LaTeX]Tex,% C++,
    keywordstyle=\color{RoyalBlue}, % \bfseries,
    basicstyle=\small\ttfamily,
    % identifierstyle=\color{NavyBlue},
    stringstyle=\rmfamily,
    numbers=none, % left,%
    numberstyle=\scriptsize, % \tiny
    stepnumber=5,
    numbersep=8pt,
    showstringspaces=false,
    breaklines=true,
    frameround=ftff,
    frame=single
}

% title
\title{
    \centering
    \rule{\textwidth}{4pt}\vspace*{-\baselineskip}\vspace*{3.2pt}
    \rule{\textwidth}{1pt}\vspace*{26pt}
    \begin{center}
    \textcolor[rgb]{0.392156863, 0.584313725, 0.929411765}{{\fontsize{40}{60}\selectfont \textbf{THE MATHEMATICS}}}
    \medbreak
    \textcolor[rgb]{0.392156863, 0.584313725, 0.929411765}{{\fontsize{40}{60}\selectfont \textbf{OF WONDERS}}}\bigbreak
    \end{center}
    \textit{\subTitleName}\\
    \rule{\textwidth}{1pt}\vspace*{-\baselineskip}\vspace*{6.4pt}
    \rule{\textwidth}{4pt}
}

% add QED to Proof symbol
% \renewcommand\qedsymbol{QED $\square}

% page setup
\usepackage[
    top=1.2in,
    bottom=1in,
    right=1in,
    left=1in,
    heightrounded
]{geometry}

% fix missing space between number and title in TOC
\usepackage{tocloft}% http://ctan.org/pkg/tocloft
\setlength{\cftsecnumwidth}{2.8em} % sec
\setlength{\cftsubsecnumwidth}{3.6em} % subsec
